Package org.silverpeas.mobile.shared.dto.comments

## Class CommentDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.comments.CommentDTO

- All Implemented Interfaces:
    `Serializable`

      public class CommentDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TYPE_PHOTO` |
    `static String` | `TYPE_PUBLICATION` |
    `static String` | `TYPE_SOUND` |
    `static String` | `TYPE_STREAMING` |
    `static String` | `TYPE_VIDEO` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `UserProfileDTO` | `getAuthor()` |
    `String` | `getComponentId()` |
    `String` | `getCreationDate()` |
    `String` | `getCurrentUserLanguage()` |
    `String` | `getId()` |
    `String` | `getModificationDate()` |
    `String` | `getResourceId()` |
    `String` | `getResourceType()` |
    `String` | `getText()` |
    `String` | `getTextForHtml()` |
    `String` | `getUri()` |
    `boolean` | `isIndexed()` |
    `void` | `setAuthor​(UserProfileDTO author)` |
    `void` | `setComponentId​(String componentId)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setCurrentUserLanguage​(String currentUserLanguage)` |
    `void` | `setId​(String id)` |
    `void` | `setIndexed​(boolean indexed)` |
    `void` | `setModificationDate​(String modificationDate)` |
    `void` | `setResourceId​(String resourceId)` |
    `void` | `setResourceType​(String resourceType)` |
    `void` | `setText​(String text)` |
    `void` | `setUri​(String uri)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PUBLICATION

          public static final String TYPE_PUBLICATION

      See Also:
        Constant Field Values

    - #### TYPE_PHOTO

          public static final String TYPE_PHOTO

      See Also:
        Constant Field Values

    - #### TYPE_VIDEO

          public static final String TYPE_VIDEO

      See Also:
        Constant Field Values

    - #### TYPE_SOUND

          public static final String TYPE_SOUND

      See Also:
        Constant Field Values

    - #### TYPE_STREAMING

          public static final String TYPE_STREAMING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommentDTO

          public CommentDTO()

  - ### Method Detail

    - #### getUri

          public String getUri()

    - #### setUri

          public void setUri​(String uri)

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getComponentId

          public String getComponentId()

    - #### setComponentId

          public void setComponentId​(String componentId)

    - #### getResourceType

          public String getResourceType()

    - #### setResourceType

          public void setResourceType​(String resourceType)

    - #### getResourceId

          public String getResourceId()

    - #### setResourceId

          public void setResourceId​(String resourceId)

    - #### getText

          public String getText()

    - #### setText

          public void setText​(String text)

    - #### getTextForHtml

          public String getTextForHtml()

    - #### getAuthor

          public UserProfileDTO getAuthor()

    - #### setAuthor

          public void setAuthor​(UserProfileDTO author)

    - #### getCurrentUserLanguage

          public String getCurrentUserLanguage()

    - #### setCurrentUserLanguage

          public void setCurrentUserLanguage​(String currentUserLanguage)

    - #### getCreationDate

          public String getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(String creationDate)

    - #### getModificationDate

          public String getModificationDate()

    - #### setModificationDate

          public void setModificationDate​(String modificationDate)

    - #### isIndexed

          public boolean isIndexed()

    - #### setIndexed

          public void setIndexed​(boolean indexed)